Skip to main content

Ändra PHP-version

Att ändra PHP-versionen på ditt webbhotell är oftast riskfritt, men kan medföra problem om din programkod på hemsidan använder PHP-funktioner som inte längre stöds av den nya PHP-versionen. Vi rekommenderar därför att du ser över din hemsidas programkod innan du uppdaterar för att försäkra dig om att den är kompatibel med den PHP-version du önskar ändra till. Skulle hemsidan inte vara kompatibel med din hemsidas programkod och gå ner efter bytet kan du enkelt byta tillbaka till den tidigare versionen igen.

Byta PHP version i DirectAdmin#

Varning

Uppdateringen sker direkt och påverkar alla hemsidor inlagda på samma webbhotell, men är individuellt inställt för respektive användare för Återförsäljare.

PHP-versionen och PHP-inställningar hanterar du på sidan Extra Features ⮕ Select PHP version inne i DirectAdmin.

DirectAdmin Select PHP version

För att byta PHP version väljer du den önskade PHP-versionen i listan till höger om Current PHP version. När du har valt önskad version klickar du sedan på texten Set as current som kommer upp till höger om versionslistan.

DirectAdmin Select PHP version selection

DirectAdmin Select PHP version selection

Glöm inte att trycka på Set as current när du har valt en ny version.

Specificera PHP-version för enskilda hemsidor#

Om man inte har möjlighet att ändra den globala PHP-versionen på sitt webbhotell av olika anledningar, kan man istället specificera vilken PHP-version som ska användas för en specifik hemsida genom att ange en kodsnutt i sin .htaccess-fil. Du måste lägga in denna kodsnutt på alla de hemsidor som du vill ska använda en annan PHP-version än den globala som sätts i DirectAdmin.

För att redigera din .htaccess-fil kan du ansluta till ditt webbhotell med ett FTP-program eller gå till File Manager inne i DirectAdmin.

DirectAdmin File Manager

Navigera sedan till /domains/domännamn.se/public_html/. Dubbelklicka på filen .htaccess för att redigera den.

File Manager htaccess

För Bas-paketen#

Längst upp i din .htaccess-fil skall du ange nedan kodsnutt. För att specificera vilken version som skall användas ändrar du x-lsphp74 till önskad version. Om du till exempel skriver x-lsphp80 specificerar du att PHP-versionen 8.0 skall användas.

<FilesMatch "\.(php4|php5|php3|php2|php|phtml)$">
SetHandler application/x-lsphp74
</FilesMatch>

För Prime-paketen#

Längst upp i din .htaccess-fil skall du ange nedan kodsnutt. För att specificera vilken version som skall användas ändrar du x-lsphp74 till önskad version. Om du till exempel skriver x-lsphp80 specificerar du att PHP-versionen 8.0 skall användas.

AddType application/x-lsphp74 .php5 .php4 .php .php3 .php2 .phtml